import { ElementRef, EventEmitter, OnInit, QueryList, Renderer2, TemplateRef } from '@angular/core';
import { AtCarouselDirective } from './at-carousel.directive';
export declare type SwipeDirection = 'swipeleft' | 'swiperight';
export declare class AtCarouselComponent implements OnInit {
    elementRef: ElementRef;
    private renderer;
    ngOnInit(): void;
    private _autoPlay;
    private _autoPlaySpeed;
    private _dots;
    private _vertical;
    private _effect;
    private unsubscribe$;
    activeIndex: number;
    transform: string;
    timeout: any;
    slideContents: QueryList<AtCarouselDirective>;
    slickList: ElementRef;
    slickTrack: ElementRef;
    atAfterChange: EventEmitter<number>;
    atBeforeChange: EventEmitter<{
        from: number;
        to: number;
    }>;
    atEnableSwipe: boolean;
    onWindowResize(e: UIEvent): void;
    atShowPage: boolean;
    readonly nextIndex: number;
    readonly prevIndex: number;
    atDotRender: TemplateRef<{
        $implicit: number;
    }>;
    atDots: boolean;
    atEffect: string;
    atAutoPlay: boolean;
    atAutoPlaySpeed: number;
    atVertical: boolean;
    readonly ActivePage: number;
    setActive(content: AtCarouselDirective, i: number): void;
    renderContent(): void;
    setUpAutoPlay(): void;
    updateMode(): void;
    clearTimeout(): void;
    next(): void;
    pre(): void;
    goTo(index: number): void;
    onKeyDown(e: KeyboardEvent): void;
    swipe(action?: SwipeDirection): void;
    swipeInProgress(e: any): void;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
